TyrexFactory (Catalina Internal API Documentation)
Keywords: org.apache.naming.factory.TyrexFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class TyrexFactory

    java.lang.Object
      org.apache.naming.factory.TyrexFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

Direct Known Subclasses:
  TyrexResourceFactory, TyrexTransactionFactory

public abstract class TyrexFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Abstract superclass of any factory that creates objects from Tyrex.
Subclasses can use getTransactionDomain() to handle the retrieval and creation of the TransactionDomain. Tyrex is an open-source transaction manager, developed by Assaf Arkin and exolab.org. See the Tyrex homepage for more details about Tyrex and downloads.

Version:
  $Revision: 1.1 $ $Date: 2002/06/28 12:44:41 $
Author:
  David Haraburda

Constructor Summary
`TyrexFactory()`

Method Summary
`protected tyrex.tm.TransactionDomain` | `getTransactionDomain()` Get (and if necessary, create) the active TransactionDomain This class checks to see if there is already a TransactionDomain setup and instantiated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.naming.spi.ObjectFactory
`getObjectInstance`

Constructor Detail

### TyrexFactory

    public TyrexFactory()

Method Detail

### getTransactionDomain

    protected tyrex.tm.TransactionDomain getTransactionDomain()
                                                       throws javax.naming.NamingException

  Get (and if necessary, create) the active TransactionDomain This class checks to see if there is already a TransactionDomain setup and instantiated. If so, it is returned, otherwise one is created and initialized using properties obtained from JNDI.

  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.